{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{# @var entity \EasyCorp\Bundle\EasyAdminBundle\Dto\EntityDto #}
{% extends ea.templatePath('layout') %}
{% import "admin_crud/menu/node_element.html.twig" as node %}
{% block _Menu_children_row %}
    <div id="menu-tree">
        <ul class="list-group nested-sortable" data-router-sort="{{ path('admin_dashboard') }}">
            {% for item in form.vars.data %}
                {{ node.render(item, item.parent.id) }}
            {% endfor %}
        </ul>
    </div>
{% endblock %}
{% block stylesheets %}
    {{ encore_entry_link_tags('menu_edit', null, 'adminBuild') }}
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('menu_edit', null, 'adminBuild') }}

{% endblock %}
{% block main %}
    <div class="card">
        <div class="card-body">
            <div class="dataTable_wrapper">
                <div class="content-panel">
                    <div class="content-panel-body with-rounded-top with-min-h-250 without-padding ">
                        <table class="table datagrid with-rounded-top ">
                            <thead>
                            <tr>
                                <th>
                                    {{ 'Nr. wersji'|trans }}
                                </th>
                                <th>
                                    {{ 'Klasa obiektu'|trans }}
                                </th>
                                <th>
                                    {{ 'Id obiektu'|trans }}
                                </th>
                                <th>
                                    {{ 'Data utworzenia wersji'|trans }}
                                </th>
                                <th>
                                    {{ 'Utworzono przez'|trans }}
                                </th>
                                <th>
                                    <span class="sr-only">Akcje</span>
                                </th>
                            </tr>
                            </thead>

                            <tbody>
                            {% for log in logs %}
                                <tr>
                                    <td>
                                        {{ log.version }}
                                    </td>
                                    <td>
                                        {{ log.objectClass }}
                                    </td>
                                    <td>
                                        {{ log.objectId }}
                                    </td>
                                    <td>
                                        {{ log.loggedAt|date('Y-m-d H:i:s') }}
                                    </td>
                                    <td>
                                        {{ log.username ? log.username : '-' }}
                                    </td>

                                    <td class="actions text-right">
                                        {% if logs|length != log.version %}
                                            <a class="action-showVersionList mr-3"
                                               href="{{ path('admin_entity_revert', {'entityClassName': log.objectClass, 'entityId': log.objectId, 'id': log.id, 'eaContext': app.request.get('eaContext')}) }}">
                                                <i class="action-icon fs-25 fa fa-history"></i> Przywróc
                                            </a>
                                        {% endif %}
                                        <a class="action-detail mr-3"
                                           href="{{ path('admin_entity_detail', {'entityClassName': log.objectClass, 'entityId': log.objectId, 'id': log.id, 'eaContext': app.request.query.get('eaContext')}) }}">
                                            <i class="action-icon fs-25 fa fa-eye"></i> Szczegóły
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}